summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorroot <root@filebitch>2011-08-11 14:04:14 +0200
committerroot <root@filebitch>2011-08-11 14:04:14 +0200
commitda625f1d72c4b15b5ab70548958751e1a45a4f60 (patch)
tree6846bc57c098a94a34bfb21352d638de1ac8f83b
parent1addb5bd958752b61386f3d23f9be319808f7f92 (diff)
parent28955fc830e526c0d49fbd299ba5500932d556ae (diff)
Merge branch 'master' of https://github.com/krebscode/painload
-rw-r--r--Monitoring/htdocs/images/logos/krebs/krebs.pngbin323 -> 238 bytes
-rw-r--r--cholerab/AGENDA.cccamp114
-rw-r--r--cholerab/CI.md4
-rw-r--r--util/auto/krebs59
4 files changed, 67 insertions, 0 deletions
diff --git a/Monitoring/htdocs/images/logos/krebs/krebs.png b/Monitoring/htdocs/images/logos/krebs/krebs.png
index 3d8a8ab8..3c40512c 100644
--- a/Monitoring/htdocs/images/logos/krebs/krebs.png
+++ b/Monitoring/htdocs/images/logos/krebs/krebs.png
Binary files differ
diff --git a/cholerab/AGENDA.cccamp11 b/cholerab/AGENDA.cccamp11
index d2c3ca6a..c488ad00 100644
--- a/cholerab/AGENDA.cccamp11
+++ b/cholerab/AGENDA.cccamp11
@@ -45,6 +45,7 @@
- CI
- issue, issue.tail [etc?] [bku der alten issue]
- ftp MOTD
+ - sound theme [see beeps below]
- append to PATH
- morse (makefu)
- beep installieren und shit [spaeter kuebelwagen, wenn beep defekt]
@@ -80,3 +81,6 @@
- iptables
- thinkabout: util/bin vs {component-like-webcams}
+
+ - beeps
+ - on ssh activity
diff --git a/cholerab/CI.md b/cholerab/CI.md
new file mode 100644
index 00000000..321c037d
--- /dev/null
+++ b/cholerab/CI.md
@@ -0,0 +1,4 @@
+# Krebscolor
+- PANTONE 185 C
+- #E4002B
+- rgb(228,0,43)
diff --git a/util/auto/krebs b/util/auto/krebs
new file mode 100644
index 00000000..33b33668
--- /dev/null
+++ b/util/auto/krebs
@@ -0,0 +1,59 @@
+#! /bin/sh
+# krebs autoinstall script
+set -euf
+# see punanin docs
+
+function bailout()
+{
+ exit 1
+}
+function punani()
+{
+ return 0
+}
+
+function generate_config()
+{
+ # $1 -
+ [ -e $1 ] && exit 0
+ cat >$1 <<EOF
+#Uncomment this line to start ,otherwise the installer will bail out
+#I_AM_WILLING_TO_LET_KREBS_TAKE_OVER_MY_SYSTEM_MY_LIFE_AND_ALL_OF_MY_CHILDREN="Totally sure"
+
+# 1 - will do you no harm. this is what you want
+VERKREBSUNGSLEVEL=kindergarten
+# 2 - will verkrebs your computer, hard
+#VERKREBSUNGSLEVEL=aggressiv
+# 3 - will definitly fuck up something of value, be aware
+#VERKREBSUNGSLEVEL=auftoeteneingestellt
+
+#Optional Modules to activate
+# Choose from :
+# $(find $(dirname $1) -type d -mindepth 1 -maxdepth 1)
+# OPTIONAL_MODULES=""
+EOF
+
+}
+
+function edit_config()
+{
+ # $1 - krebsdir
+ CONF=$1/krebs_config
+ generate_config $CONF
+ $EDITOR $CONF
+
+ source $CONF
+ if [ ! -n "${I_AM_WILLING_TO_LET_KREBS_TAKE_OVER_MY_SYSTEM_MY_LIFE_AND_ALL_OF_MY_CHILDREN+x}" ];
+ then
+ printf "So you are not willing to give krebs all the necessary rights\n"
+ printf "Cannot continue...\n"
+ rm $CONF
+ printf "I hate you by the way..."
+ bailout
+}
+punani -Ei git make
+KREBSDIR=${1-/krebs}
+[ ! -e $KREBSDIR ] && git clone https://github.com/krebscode/painload ${KREBSDIR}|| printf "painload already deployed\n"
+
+edit_config ${KREBSDIR}
+make -C ${KREBSDIR}